> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuraltrust.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List model catalog

> Returns the catalog of supported models, optionally filtered by provider.



## OpenAPI

````yaml /trustgate/api/openapi.json get /v1/models-catalog
openapi: 3.0.0
info:
  description: >-
    Administrative API for managing gateways and their registries, policies,
    consumers, roles and auth credentials.
  title: TrustGate Admin API
  contact:
    name: NeuralTrust
    url: https://neuraltrust.ai/contact
    email: support@neuraltrust.ai
  version: '1.0'
servers:
  - url: https://agentgateway-admin.dev.neuraltrust.ai
    description: Admin API
security: []
paths:
  /v1/models-catalog:
    get:
      tags:
        - catalog
      summary: List model catalog
      description: >-
        Returns the catalog of supported models, optionally filtered by
        provider.
      parameters:
        - description: Filter by provider id
          name: provider
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_catalog_response.ModelResponse
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody
      security:
        - BearerAuth: []
components:
  schemas:
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_catalog_response.ModelResponse:
      type: object
      properties:
        capabilities:
          type: object
          additionalProperties: {}
        context_window:
          type: integer
        display_name:
          type: string
        enabled:
          type: boolean
        external_id:
          type: string
        id:
          type: string
        input_price:
          type: string
        max_output:
          type: integer
        output_price:
          type: string
        provider_id:
          type: string
        slug:
          type: string
        source:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: apiKey
      name: Authorization
      in: header

````